Bug 462140 - DHCP failure on first boot with r8169
DHCP failure on first boot with r8169
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
8
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-12 19:10 EDT by David Bristow
Modified: 2009-01-09 01:45 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 01:45:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Bristow 2008-09-12 19:10:12 EDT
Description of problem:

Every time I reboot my Fedora 8 box, the r8169 driver fails to get an IP via DHCP initially.  I have a workaround.

Version-Release number of selected component (if applicable):

Relatively new kernels, this didn't happen with the Fedora 8 install DVD kernels, but one of the kernel updates started causing this to happen.  It's been months since this worked right, since I have a workaround I didn't post the bug until now.

How reproducible:

Every reboot.

Steps to Reproduce:
1. Reboot the box
2. DHCP times out
3. to fix: rmmod r8169; modprobe r8169; ifdown eth0; ifup eth0
  
Actual results:

ifconfig only lists the loopback adapter until my workaround and then networking works fine thereafter.

Expected results:

Should just work :)

Additional info:

The very latest kernel kernel-2.6.26.3-14.fc8 (x86, from the new updates) changes this:

You only have to rmmod r8169; modprobe r8169 -- after that the eth0 adapter retries or something and everything works again until the next reboot.
Comment 1 David Bristow 2008-09-12 22:12:56 EDT
I forgot to add:

This is a machine with an MSI K8T-NEO motherboard with an 2ghz AMD64 3200+ processor.  The r8169 adapter is the motherboard NIC.
Comment 2 David Cantrell 2008-09-16 20:46:48 EDT
This sounds like a kernel problem and not a dhcp problem.  Reassigning.
Comment 3 Josep 2008-09-21 18:08:27 EDT
Probably a duplicate of Bug #438046. Same problem in F9 (Bug #444966, and others) and rawhide F10 (Bug #460747, and others).

It seems that all kernels since 2.6.24 have this issue.
Comment 4 Bug Zapper 2008-11-26 06:08:59 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-01-09 01:45:46 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.